package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class QuarterlyRatioFactory
{
    private QuarterlyRatioFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatio getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatio)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6573A057") ,com.kingdee.eas.custom.expandassess.IQuarterlyRatio.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatio getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatio)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6573A057") ,com.kingdee.eas.custom.expandassess.IQuarterlyRatio.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatio getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatio)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6573A057"));
    }
    public static com.kingdee.eas.custom.expandassess.IQuarterlyRatio getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IQuarterlyRatio)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6573A057"));
    }
}